#ifndef __XPT2046_H
#define __XPT2046_H

#include "stdint.h"
#include "stdbool.h"
#include "stm32f4xx_hal.h"
#include "spi.h"
#include "gpio.h"

#define __XPT2046_CS_CLR()   HAL_GPIO_WritePin(TP_CS_GPIO_Port, TP_CS_Pin, GPIO_PIN_RESET)
#define __XPT2046_CS_SET()   HAL_GPIO_WritePin(TP_CS_GPIO_Port, TP_CS_Pin, GPIO_PIN_SET)
#define __XPT2046_IRQ_READ() HAL_GPIO_ReadPin(TP_IRQ_GPIO_Port, TP_IRQ_Pin)

extern void xpt2046_init(void);
extern void xpt2046_read_xy(uint16_t *phwXpos, uint16_t *phwYpos);
extern bool xpt2046_twice_read_xy(uint16_t *phwXpos, uint16_t *phwYpos);

#endif
